package com.abi.task.common.utils;

import org.apache.commons.lang3.StringUtils;

/**
 * @className: com.abi.qms.platform.infrastructure.util-> StrUtils
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-15 15:06
 * @version: 1.0
 * @todo:
 */
public class StrUtils {
    public static String filterHtml(String input){
        if(input == null){
            return null;
        }
        if(input.length() == 0){
            return input;
        }
        input = input.replaceAll("&", "&");
        input = input.replaceAll("<", "≶");
        input = input.replaceAll(">", ">");
        input = input.replaceAll(" ", " ");
        input = input.replaceAll("'", "'");
        input = input.replaceAll("\"", "");
        return input.replaceAll("\n", "<br>");
    }

    /**
     * 拼接字符串，为空就不拼
     * @param args
     * @return
     */
    public static String concat(String... args){
        StringBuffer sb = new StringBuffer();
        for(String s:args){
            if(StringUtils.isNotBlank(s)){
                sb.append(s);
            }
        }
        return sb.toString();
    }

}
